Historical contract: Edit Business Offer
Historical API contract. This page describes an earlier API contract. Methods, paths, and responses may differ from the current API.
Historical meaning
Edit Business Offer
This API endpoint is used to update a discount.
Current API
For new integrations, use the linked current API reference or guide.
View the current API referenceParameters
[
{
"name": "language",
"in": "path",
"schema": {
"type": "string",
"default": "en"
},
"required": true
},
{
"name": "project",
"in": "path",
"schema": {
"type": "string",
"default": "<redacted-personal>"
},
"required": true
},
{
"name": "business_id",
"in": "path",
"schema": {
"type": "integer",
"format": "int32"
},
"required": true
},
{
"name": "offer_id",
"in": "path",
"schema": {
"type": "integer",
"format": "int32"
},
"required": true
},
{
"name": "api_version",
"in": "path",
"schema": {
"type": "string",
"default": "v400"
},
"required": true
}
]
Request body
{
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"name": {
"type": "string"
},
"type": {
"type": "integer",
"format": "int32"
},
"minimum": {
"type": "number",
"format": "float"
},
"rate_type": {
"type": "integer",
"format": "int32"
},
"rate": {
"type": "number",
"format": "float"
},
"start": {
"type": "string",
"format": "date"
},
"end": {
"type": "string",
"format": "date"
},
"limit": {
"type": "integer",
"format": "int32"
},
"coupon": {
"type": "string"
},
"enabled": {
"type": "boolean"
}
}
}
}
}
}
Responses
{
"200": {
"description": "200",
"content": {
"application/json": {
"examples": {
"Result": {
"value": "{\n \"error\": false,\n \"result\": {\n \"id\": 1,\n \"business_id\": \"<redacted-id>\",\n \"name\": \"<redacted-personal>\",\n \"type\": 1,\n \"minimum\": 1000,\n \"rate_type\": 1,\n \"rate\": 10,\n \"start\": \"2016-06-03 00:00:00\",\n \"end\": \"2017-07-08 00:00:00\",\n \"limit\": 99999,\n \"coupon\": null,\n \"enabled\": true,\n \"created_at\": \"2018-10-06 18:18:25\",\n \"updated_at\": \"2018-10-06 18:18:25\",\n \"deleted_at\": null\n }\n}"
}
},
"schema": {
"type": "object",
"properties": {
"error": {
"type": "boolean",
"example": false,
"default": true
},
"result": {
"type": "object",
"properties": {
"id": {
"type": "integer",
"example": 1,
"default": 0
},
"business_id": {
"type": "string",
"example": "<redacted-id>"
},
"name": {
"type": "string",
"example": "<redacted-personal>"
},
"type": {
"type": "integer",
"example": 1,
"default": 0
},
"minimum": {
"type": "integer",
"example": 1000,
"default": 0
},
"rate_type": {
"type": "integer",
"example": 1,
"default": 0
},
"rate": {
"type": "integer",
"example": 10,
"default": 0
},
"start": {
"type": "string",
"example": "2016-06-03 00:00:00"
},
"end": {
"type": "string",
"example": "2017-07-08 00:00:00"
},
"limit": {
"type": "integer",
"example": 99999,
"default": 0
},
"coupon": {},
"enabled": {
"type": "boolean",
"example": true,
"default": true
},
"created_at": {
"type": "string",
"example": "2018-10-06 18:18:25"
},
"updated_at": {
"type": "string",
"example": "2018-10-06 18:18:25"
},
"deleted_at": {}
}
}
}
}
}
}
},
"400": {
"description": "400",
"content": {
"application/json": {
"examples": {
"Result": {
"value": "{\n \"error\": true,\n \"result\": [\n \"The offer could not be updated.\"\n ]\n}"
}
},
"schema": {
"type": "object",
"properties": {
"error": {
"type": "boolean",
"example": true,
"default": true
},
"result": {
"type": "array",
"items": {
"type": "string",
"example": "The offer could not be updated."
}
}
}
}
}
}
},
"401": {
"description": "401",
"content": {
"application/json": {
"examples": {
"Result": {
"value": "{\n \"error\": true,\n \"result\": [\n \"You do not have permission.\"\n ]\n}"
}
},
"schema": {
"type": "object",
"properties": {
"error": {
"type": "boolean",
"example": true,
"default": true
},
"result": {
"type": "array",
"items": {
"type": "string",
"example": "You do not have permission."
}
}
}
}
}
}
}
}